
Foreman - Bug #6003

user management through hammer not working

05/30/2014 08:15 PM - Ignacio Bravo

Status: Closed   

Priority: Normal   

Assignee: Thomas McKay   

Category: API   

Target version: 1.5.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1110337 Red Hat JIRA:  

Pull request:    

Description

Created a new user to manage Katello/Foreman.

The following command produces and error:

1. hammer -u admin -p changeme user list

undefined method `key?' for #<JSON::Ext::Generator::State:0x0000000e782a68>

When performing a user info, I can get the first two (admin and a hidden user that I don't know how it was created). The rest of the

users info fail with an error:

1. hammer -u admin -p changeme user info --id 1

Id:            1

Login:         admin

Name:          Admin User

Email:         root@hq.ltg

Admin:         yes

Authorized by: Internal

Last login:    2014/05/30 20:09:43

Created at:    2014/05/29 16:49:01

Updated at:    2014/05/30 20:09:43

1. hammer -u admin -p changeme user info --id 2

Id:            2

Login:         hidden-0zd9qe

Name:

Email:         sm79ogUAtw@localhost

Admin:         no

Authorized by: Internal

Last login:

Created at:    2014/05/29 16:49:04

Updated at:    2014/05/29 16:49:04

1. hammer -u admin -p changeme user info --id 3

undefined method `key?' for #<JSON::Ext::Generator::State:0x000000102d9c80>

Associated revisions

Revision ecac9440 - 06/19/2014 01:59 PM - Thomas McKay

fixes #6003 - don't render user default loc/org object directly

Revision cf672214 - 07/28/2014 07:20 AM - Thomas McKay

fixes #6003 - don't render user default loc/org object directly

(cherry picked from commit ecac9440024dd86cb1ef0864ff024763a2225cfa)
History

#1 - 06/05/2014 03:03 AM - Eric Helms

- Target version set to 45

- Triaged changed from No to Yes

#2 - 06/16/2014 02:49 PM - Eric Helms

- Category changed from Hammer to API

- Assignee set to Thomas McKay

- Target version changed from 45 to 48

#3 - 06/16/2014 02:56 PM - Og Maciel

So the issue seems to happen once you add a new user... while you have the original and hidden users, the command works fine:

# hammer -u admin -p changeme user list

---|---------------|------------|----------------------------

ID | LOGIN         | NAME       | EMAIL

---|---------------|------------|----------------------------

1  | admin         | Admin User | root@idm.lab.bos.redhat.com

2  | hidden-kanvyp |            | yMUaG235CL@localhost

---|---------------|------------|----------------------------

# hammer -u admin -p changeme user info --id 1

Id:            1

Login:         admin

Name:          Admin User

Email:         root@idm.lab.bos.redhat.com

Admin:         yes

Authorized by: Internal

Last login:    2014/06/16 14:49:43

Created at:    2014/06/13 17:03:20

Updated at:    2014/06/16 14:49:43

 After I added a third user:

# hammer -u admin -p changeme user list

undefined method `key?' for #<JSON::Ext::Generator::State:0x0000000f78c878>

#4 - 06/17/2014 01:04 PM - Thomas McKay

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1110337

#5 - 06/17/2014 07:10 PM - Thomas McKay

- Project changed from Katello to Foreman

- Category changed from API to API

- Status changed from New to Assigned

- Target version deleted (48)

#6 - 06/18/2014 07:27 AM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

- Target version set to 1.8.1

https://github.com/theforeman/foreman/pull/1519

#7 - 06/19/2014 02:00 PM - Dominic Cleal

- translation missing: en.field_release set to 18

#8 - 06/19/2014 02:31 PM - Thomas McKay

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset ecac9440024dd86cb1ef0864ff024763a2225cfa.
